### Method

# RB RhythmDB entry_foreach_by_type

#### Declaration [src]

    void
    rhythmdb_entry_foreach_by_type (
      RhythmDB* db,
      RhythmDBEntryType* entry_type,
      RhythmDBEntryForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls the given function for each of the entries in the database of a given type.

#### Parameters

`entry_type`

  Type: `RhythmDBEntryType`

  The type of entry to retrieve.

  The data is owned by the caller of the method.

`func`

  Type: `None`

  The function to call with each entry.

`data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.